<?php

include_once( "vendor/autoload.php" );
use PaygentModule\System\PaygentB2BModule;
$PAYGENT = new PaygentB2BModule();

$token = $_POST['token'];

//　共通ヘッダ
$PAYGENT->init();
$PAYGENT->reqPut( "telegram_version", "1.0" );
$PAYGENT->reqPut( "merchant_id", "マーチャントID" );
$PAYGENT->reqPut( "connect_id", "接続ID" );
$PAYGENT->reqPut( "connect_password", "接続IDパスワード" );

//　クレジット決済
$PAYGENT->reqPut( "telegram_kind", "020" );
$PAYGENT->reqPut( "trading_id", "id0test" );
$PAYGENT->reqPut( "payment_class", "10" );
$PAYGENT->reqPut( "3dsecure_ryaku", "1" );
$PAYGENT->reqPut( "payment_amount", "100" );
$PAYGENT->reqPut( "sales_mode",1);
$PAYGENT->reqPut( "card_token",$token);

$PAYGENT->post();
$res_array = $PAYGENT->resNext();
$resultStatus = $PAYGENT->getResultStatus();

//　決済失敗
if( $resultStatus == 1 ){
    $responseCode 	  = $PAYGENT->getResponseCode();
    if(!isset($responseCode)){$responseCode = '';}
    $responseDetail   = $PAYGENT->getResponseDetail();
    $responseDetail   = mb_convert_encoding($responseDetail, "UTF-8", "SJIS");
    echo "エラーコード：".$responseCode."\n".$responseDetail;
}

//　決済成功
if( $resultStatus == 0 ){
    echo '成功';
}
